
QGIS Application - Bug report #18271

virtual layer makes qgis dump

2018-02-28 01:28 PM - Lee Han

Status: Closed

Priority: Normal

Assignee:

Category: Virtual Layers

Affected QGIS version:3.0.0 Regression?: No

Operating System: windows 64 Easy fix?: No

Pull Request or Patch supplied:No Resolution: not reproducable

Crashes QGIS or corrupts data:No Copied to github as #: 26162

Description

qgis 3.0 crashes when working with a virtual layer created from two shapefiles and st_contains function

User Feedback

working with virtual layer and st_contains operator

Report Details

Crash ID: be168d9a9e75f6ed6759e76bc7a8a06239a44887

Stack Trace

QCoreApplication::postEvent :

qt_qFindChildren_helper :

QMetaObject::activate :

QgsTask::statusChanged :

QgsTask::processSubTasksForCompletion :

QThreadPoolPrivate::reset :

QThread::start :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.0.0-Girona

QGIS code revision: commit:001c80b0c3

Compiled against Qt: 5.9.2

Running against Qt: 5.9.2

Compiled against GDAL: 2.2.3

Running against GDAL: 2.2.3

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 6.1.7601

History

#1 - 2018-02-28 01:33 PM - Giovanni Manghi

- Status changed from Open to Feedback

Please add the data and detailed steps to replicate.
#2 - 2018-03-05 09:58 AM - Lee Han

I saw your reply too late. 

As soon as it does it again, I will report the details

#3 - 2018-08-23 12:54 AM - Giovanni Manghi

- Resolution set to not reproducable

- Status changed from Feedback to Closed

Closing for lack of feedback.
